Skip to main content
Credentials

Get a Credential

Forward API reference.

Description

Retrieves a single Credential from the specified Vault. Authentication information is returned in redacted form.

Path

GET /api/v1/forward/vaults/{id}/credentials/{cred_id}

Request headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT or SAT>

Path parameters

ParameterTypeRequiredDescription
idstringYesVault ID.
cred_idstringYesCredential ID.

Example request

curl -X GET "https://api.qoder.com/api/v1/forward/vaults/vault_xxx/credentials/vcred_xxx" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

Example response

HTTP 200 OK
{
  "id": "vcred_xxx",
  "type": "vault_credential",
  "vault_id": "vault_xxx",
  "auth": {"type": "static_bearer", "mcp_server_url": "https://mcp.example.com"},
  "display_name": "",
  "metadata": {"source": "console"},
  "created_at": "2026-07-23T10:00:00Z",
  "updated_at": "2026-07-23T10:00:00Z"
}

Response fields

The response is a Vault credential object. See Credential auth object for the variants selected by auth.type.

Errors

HTTPTypeTrigger
400invalid_request_errorThe request body, path parameters, or query parameters are invalid.
401authentication_errorThe authentication token is missing or invalid.
403permission_errorThe caller cannot access this resource.
404not_found_errorThe resource does not exist or is not visible.
500/502/503api_errorForward or a dependent service failed.